Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.cluster
Class NodeID

    java.lang.Object
      org.jivesoftware.openfire.cluster.NodeID

All Implemented Interfaces:
  Externalizable, Serializable

    public class NodeID

extends Object
implements Externalizable

Class which wraps the byte[] we use to identify cluster members. The main reason for this class is that byte[] cannot be directly compared so having a collection of byte[] is not possible since you cannot remove to equivalent byte[] from the collection.

Author:
  Pete Matern, Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`NodeID()`

Method Summary
`static void` | `deleteInstance(byte[] nodeIdBytes)`
`boolean` | `equals(byte[] anotherID)`
`boolean` | `equals(Object o)`
`static NodeID` | `getInstance(byte[] nodeIdBytes)`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`byte[]` | `toByteArray()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeID

    public NodeID()

Method Detail

### getInstance

    public static NodeID getInstance(byte[] nodeIdBytes)

### deleteInstance

    public static void deleteInstance(byte[] nodeIdBytes)

### equals

    public boolean equals(byte[] anotherID)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toByteArray

    public byte[] toByteArray()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.